package cn.iocoder.yudao.module.system.service.nursing;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingPlanPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingPlanLogRespVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingPlanLowFrequencyByFloorRespVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingPlanRespVO;
import cn.iocoder.yudao.module.system.controller.admin.nursing.vo.NursingPlanSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NursingPlanDO;

import java.util.List;

/**
 * 护理计划 Service 接口
 *
 * @author 系统管理员
 */
public interface NursingPlanService {


    void createNursingPlan(NursingPlanSaveReqVO createReqVO);

    NursingPlanRespVO getNursingPlan(Long id);

    void updateNursingPlan(NursingPlanSaveReqVO updateReqVO);

    PageResult<NursingPlanRespVO> getNursingPlanPage(NursingPlanPageReqVO pageReqVO);

    void copyNursingPlan(NursingPlanSaveReqVO saveReqVO);

    List<NursingPlanLogRespVO> getNursingPlanByElderId(Long elderId);

    List<NursingPlanLowFrequencyByFloorRespVO> getLowFrequencyPlanItemsByFloorId(Long floorId,Long tenantId);

    List<NursingPlanDO> selectAll();
}
